> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current key

> Gets information about the current token.



## OpenAPI

````yaml https://api.ionq.co/v0.4/api-docs GET /whoami
openapi: 3.0.3
info:
  contact:
    email: support@ionq.co
    name: IonQ
    url: https://ionq.com/
  description: |
    *Last updated: April 30, 2026*
    IonQ's API for accessing the IonQ Quantum Cloud platform

    Please subscribe for automated updates when we perform maintenance or
    experience an outage.

    In addition, you may use the [status endpoint](#tag/status) to check the
    current status of our API.

    ## Authentication

    <SecurityDefinitions />
  title: IonQ Cloud Platform API
  version: v0.4
servers:
  - url: https://api.ionq.co/v0.4
security: []
paths:
  /whoami:
    get:
      tags:
        - whoami
      summary: Get current key
      description: Retrieves current key associated with this session.
      operationId: getWhoami
      responses:
        '200':
          $ref: '#/components/responses/Whoami'
      x-codeSamples:
        - lang: curl
          source: |
            curl "https://api.ionq.co/v0.4/whoami" \
              -H "Authorization: apiKey your-api-key"
components:
  responses:
    Whoami:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Whoami'
      description: Successfully retrieved a current of key from this session.
  schemas:
    Whoami:
      description: Details of current API Key session.
      properties:
        key_id:
          $ref: '#/components/schemas/key-id'
        key_name:
          $ref: '#/components/schemas/key-name'
        project_id:
          $ref: '#/components/schemas/project-id'
      required:
        - key_id
        - key_name
      type: object
    key-id:
      description: UUID of a API key.
      example: e060759f-4348-4767-a645-8c0301265791
      format: uuid
      type: string
    key-name:
      description: key name.
      example: My First Key
      type: string
    project-id:
      description: UUID of a project.
      example: 944904d6-2e30-4cfb-8bc4-04afaabcdd42
      format: uuid
      type: string

````